Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	mixed level/signal circuit simulator
Name:      	ng-spice
Version:   	17
Release:   	2
Provides:	ng-spice
License: 	BSD
URL:		http://ngspice.sourceforge.net/
Group:     	Science/Engineering
Source0: 	%{name}-rework-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXaw-devel
BuildRequires:  libXext-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXt-devel
BuildRequires:  glibc-devel

%description
Ngspice is a general-purpose circuit simulator program.
It implements three classes of analysis:
- Nonlinear DC analyses
- Nonlinear Transient analyses
- Linear AC analyses

Ngspice implements the usual circuits elements, like resistors,
capacitors, inductors (single or mutual), transmission lines
and a growing number of semiconductor devices like diodes,
bipolar transistors, mosfets (both bulk and SOI), mesfets,
jfet and HFET. Ngspice implements the EKV model but it cannot
be distributed with the package since its license does not allow
to redistribute EKV source code. 
Ngspice integrates Xspice, a mixed-mode simulator built upon
spice3c1 (and then some tweak is necessary merge it with spice3f5).
Xspice provides a codemodel interface and an event-driven
simulation algorithm. Users can develop their own models for
devices using the codemodel interface.
As of rework-17, the current release, Xspice integration into
spice3f5 is almost complete and working (only IPC and source ramping lacks).
Cider (the device level simulator) is distributed with ngspice
but it is not tested and users should not relies on its results.
In almost two years of development activity many bug have been fixed
and some extension to the spice3f have been developed or integrated:
Parametric netlists: netlists can contain parameters and expressions.
Parametric macromodels, often released by manufacturers, can be
imported as-is into ngspice. Spice2 polynomial sources: ngspice can
parse spice2 netlists containing polynomial sources.
Global nodes: some nodes can be defined as "global" and thus not
expanded when they appear inside subcircuits.

%post
ldconfig
# comment out while this has no info
# /sbin/install-info %_infodir/ngspice.info.gz %_infodir/dir

%preun
# comment out while this has no info
# if [ "$1" = 0 ]; then
# /sbin/install-info --del %_infodir/ngspice.info.gz %_infodir/dir
# fi

%postun
ldconfig

%prep
%setup -n %{name}-rework-%{version}

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--sysconfdir=%_sysconfdir \
--infodir=%_infodir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_infodir
%_mandir
%_libdir
%_datadir/ng-spice-rework

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 17-2
- rebuilt against X.org 7.1.1
* Sun Feb 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 17-1
- Initial Release
